<?php
/**
 * @see AliZend_Filter_Interface
 */
require_once 'AliZend/Filter/Interface.php';

class AliPumka_Filter_KeywordList implements AliZend_Filter_Interface
{
    /**
     * Returns the string $value, removing all empty lines and whitespace around 
     * lines.
     * Also strips quotes and slashes
     *
     * @param  string $value
     * @return string
     */
    public function filter($value)
    {
        if (is_null($value)) return NULL;
        
        $value = stripslashes($value);
        $value = str_replace('"', '', $value);
        $value = trim($value);
        if ('' == $value) {
            return NULL;
        }
        
        $lines = explode("\n", $value);
        foreach ($lines as $i=>$line) {
            $line = trim($line);
            if ('' == $line) {
                unset($lines[$i]);       
                continue;                          
            }
            $lines[$i] = $line; 
        }
        $lines = array_unique($lines);
        
        return (count($lines))? implode("\n", $lines): NULL;
    }
}